Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1299313 - Review Request: nodejs-is-retry-allowed - Is retry allowed for Error?
Summary: Review Request: nodejs-is-retry-allowed - Is retry allowed for Error?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zuzana Svetlikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1298176
TreeView+ depends on / blocked
 
Reported: 2016-01-18 04:49 UTC by Parag Nemade
Modified: 2016-01-28 18:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-28 18:29:05 UTC
zsvetlik: fedora-review+


Attachments (Terms of Use)

Comment 1 Zuzana Svetlikova 2016-01-18 08:40:47 UTC
Shouldn't github sources look like this?
Source0:	https://github.com/npm/%{npm_name}/archive/%{commit}/%{npm_name}-%{commit}.tar.gz

Comment 2 Parag Nemade 2016-01-18 08:55:32 UTC
I take the reference of this line "If the upstream does create tarballs you should use them as tarballs provide an easier trail for people auditing the packages."
from https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/SourceURL#Git_Hosting_Services

Comment 3 Zuzana Svetlikova 2016-01-18 09:39:48 UTC
The guidelines still use commit in source

Source0:  https://github.com/OWNER/%{name}/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz

Alternatively, here are Spot's guidelines:

https://fedoraproject.org/wiki/User:Spot/GitHub_Guidelines

Comment 4 Parag Nemade 2016-01-18 12:27:24 UTC
Can you please interpret meaning for me for this statement "If the upstream does create tarballs you should use them as tarballs provide an easier trail for people auditing the packages." ?

Let me know if there can be any different meaning to it.

Regarding Spot's guidelines, they are not updated since Dec'2012. See https://fedoraproject.org/w/index.php?title=User:Spot/GitHub_Guidelines&action=history

Whereas
This is the change from 9th July 2015 which added above tarball usage guideline -> https://fedoraproject.org/w/index.php?title=Packaging%3ASourceURL&diff=417378&oldid=372006

Looks like its Gbcox who proposed that tarball usage guideline.

Comment 5 Zuzana Svetlikova 2016-01-18 13:42:18 UTC
I don't mind using github tarballs, it's about using git tags. I guess it's okay since it got approved as a guideline (I must've skipped that part).


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 3 files have
     unknown license. Detailed output of licensecheck in /home/kasicka
     /fedora-review/1299313-nodejs-is-retry-allowed/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-is-retry-allowed-1.0.0-1.fc24.noarch.rpm
          nodejs-is-retry-allowed-1.0.0-1.fc24.src.rpm
nodejs-is-retry-allowed.noarch: W: only-non-binary-in-usr-lib
nodejs-is-retry-allowed.src:21: W: mixed-use-of-spaces-and-tabs (spaces: line 21, tab: line 5)
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-is-retry-allowed.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
nodejs-is-retry-allowed (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-is-retry-allowed:
    nodejs-is-retry-allowed
    npm(is-retry-allowed)



Source checksums
----------------
https://github.com/floatdrop/is-retry-allowed/archive/v1.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : d8c7f54b8a7f7427e4d9d15f4f947c6d44633b2a1e61e42c86a7f78eb3f3f5fe
  CHECKSUM(SHA256) upstream package : d8c7f54b8a7f7427e4d9d15f4f947c6d44633b2a1e61e42c86a7f78eb3f3f5fe


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1299313
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 Parag Nemade 2016-01-18 14:23:17 UTC
Thank you very much. Yes I too used git commit source URL's previously but now I am following this new simple tarball usage guideline.

Btw, I found the exact email thread where this change of guideline is discussed. https://lists.fedoraproject.org/pipermail/packaging/2015-June/010759.html

Comment 7 Patrick Uiterwijk 2016-01-18 16:23:28 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-is-retry-allowed

Comment 8 Fedora Update System 2016-01-18 20:09:44 UTC
nodejs-is-retry-allowed-1.0.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b69b2bf35a

Comment 9 Fedora Update System 2016-01-20 03:54:26 UTC
nodejs-is-retry-allowed-1.0.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b69b2bf35a

Comment 10 Fedora Update System 2016-01-28 18:29:03 UTC
nodejs-is-retry-allowed-1.0.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.